[song]
name = Filistata
artist = Stolen Babies
album = There Be Squabbles Ahead
genre = Dark Cabaret
year = 2006
diff_guitar = 2
preview_start_time = 10008
icon = csc
album_track = 3
charter = stripes
song_length = 199698
playlist_track = 
loading_phrase = Stolen Babies is a dark cabaret band from California.<br>• Its drummer, Gil Sharone, is considered one of the most versatile touring/session drummers in the world. He has played for many bands, including The Dillinger Escape Plan, Marilyn Manson, Team Sleep and Puscifer.<br>◦ He also toured with +44 when Travis Barker broke his arm; it's rumored that he taught himself the entire setlist during his transatlantic flight to Europe.<br>• Other members of Stolen Babies include Gil's twin brother, Rani Sharone, and vocalist/accordionist Dominique Lenore Persi.<br>• <i>Filistata</i> is a genus of crevice weaver spiders. One of the most common members of this family is the southern house spider (<i>Kukulcania hibernalis.</i>)